Bug 649713 - (CVE-2010-3875) CVE-2010-3875 kernel: net/ax25/af_ax25.c: reading uninitialized stack memory
CVE-2010-3875 kernel: net/ax25/af_ax25.c: reading uninitialized stack memory
Status: NEW
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
Unspecified Unspecified
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20101031,reported=2...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-11-04 08:01 EDT by Petr Matousek
Modified: 2015-07-31 02:34 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Petr Matousek 2010-11-04 08:01:54 EDT
Description of problem:
Sometimes ax25_getname() doesn't initialize all members of fsa_digipeater field of fsa struct.  This structure is then copied to userland.  It leads to leaking of contents of kernel stack memory.  We have to initialize them to zero.

Reference:
http://marc.info/?l=linux-netdev&m=128854507120898&w=2
http://seclists.org/oss-sec/2010/q4/94

Acknowledgements:

Red Hat would like to thank Vasiliy Kulikov of Openwall for reporting this issue.
Comment 1 Petr Matousek 2010-11-04 14:46:29 EDT
Statement:

This issue did not affect the version of Linux kernel as shipped with Red Hat
Enterprise Linux 4, 5, and Red Hat Enterprise MRG as they did not include
support for Amateur Radio AX.25 protocol.

This issue is not planned to be fixed in Red Hat Enterprise Linux 3, due to
this product being in Extended Life Cycle Phase of its maintenance life-cycle,
where only qualified security errata of critical impact are addressed.

For further information about the Errata Support Policy, visit:
http://www.redhat.com/security/updates/errata
Comment 2 Eugene Teo (Security Response) 2010-11-22 08:22:42 EST
Upstream commit:
http://git.kernel.org/linus/fe10ae53384e48c51996941b7720ee16995cbcb7

Note You need to log in before you can comment on or make changes to this bug.